3 # Guess values for system-dependent variables and create Makefiles.
4 # Generated automatically using autoconf version 2.13
5 # Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
7 # This configure script is free software; the Free Software Foundation
8 # gives unlimited permission to copy, distribute and modify it.
12 ac_default_prefix
=/usr
/local
13 # Any additions from configure.in:
15 # Initialize some variables set by options.
16 # The variables have the same names as the options, with
17 # dashes changed to underlines.
19 cache_file
=.
/config.cache
28 program_transform_name
=s
,x
,x
,
36 bindir
='${exec_prefix}/bin'
37 sbindir
='${exec_prefix}/sbin'
38 libexecdir
='${exec_prefix}/libexec'
39 datadir
='${prefix}/share'
40 sysconfdir
='${prefix}/etc'
41 sharedstatedir
='${prefix}/com'
42 localstatedir
='${prefix}/var'
43 libdir
='${exec_prefix}/lib'
44 includedir
='${prefix}/include'
45 oldincludedir
='/usr/include'
46 infodir
='${prefix}/info'
47 mandir
='${prefix}/man'
49 # Initialize some other variables.
52 SHELL
=${CONFIG_SHELL-/bin/sh}
53 # Maximum number of lines to put in a shell here document.
60 # If the previous option needs an argument, assign it.
61 if test -n "$ac_prev"; then
62 eval "$ac_prev=\$ac_option"
68 -*=*) ac_optarg
=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
72 # Accept the important Cygnus configure options, so we can diagnose typos.
76 -bindir |
--bindir |
--bindi |
--bind |
--bin |
--bi)
78 -bindir=* |
--bindir=* |
--bindi=* |
--bind=* |
--bin=* |
--bi=*)
79 bindir
="$ac_optarg" ;;
81 -build |
--build |
--buil |
--bui |
--bu)
83 -build=* |
--build=* |
--buil=* |
--bui=* |
--bu=*)
86 -cache-file |
--cache-file |
--cache-fil |
--cache-fi \
87 |
--cache-f |
--cache- |
--cache |
--cach |
--cac |
--ca |
--c)
89 -cache-file=* |
--cache-file=* |
--cache-fil=* |
--cache-fi=* \
90 |
--cache-f=* |
--cache-=* |
--cache=* |
--cach=* |
--cac=* |
--ca=* |
--c=*)
91 cache_file
="$ac_optarg" ;;
93 -datadir |
--datadir |
--datadi |
--datad |
--data |
--dat |
--da)
95 -datadir=* |
--datadir=* |
--datadi=* |
--datad=* |
--data=* |
--dat=* \
97 datadir
="$ac_optarg" ;;
99 -disable-* |
--disable-*)
100 ac_feature
=`echo $ac_option|sed -e 's/-*disable-//'`
101 # Reject names that are not valid shell variable names.
102 if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
105 ac_feature
=`echo $ac_feature| sed 's/-/_/g'`
106 eval "enable_${ac_feature}=no" ;;
108 -enable-* |
--enable-*)
109 ac_feature
=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110 # Reject names that are not valid shell variable names.
111 if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112 { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
114 ac_feature
=`echo $ac_feature| sed 's/-/_/g'`
119 eval "enable_${ac_feature}='$ac_optarg'" ;;
121 -exec-prefix |
--exec_prefix |
--exec-prefix |
--exec-prefi \
122 |
--exec-pref |
--exec-pre |
--exec-pr |
--exec-p |
--exec- \
123 |
--exec |
--exe |
--ex)
124 ac_prev
=exec_prefix
;;
125 -exec-prefix=* |
--exec_prefix=* |
--exec-prefix=* |
--exec-prefi=* \
126 |
--exec-pref=* |
--exec-pre=* |
--exec-pr=* |
--exec-p=* |
--exec-=* \
127 |
--exec=* |
--exe=* |
--ex=*)
128 exec_prefix
="$ac_optarg" ;;
130 -gas |
--gas |
--ga |
--g)
131 # Obsolete; use --with-gas.
134 -help |
--help |
--hel |
--he)
135 # Omit some internal or obsolete options to make the list less imposing.
136 # This message is too long to be a string in the A/UX 3.1 sh.
138 Usage: configure [options] [host]
139 Options: [defaults in brackets after descriptions]
141 --cache-file=FILE cache test results in FILE
142 --help print this message
143 --no-create do not create output files
144 --quiet, --silent do not print \`checking...' messages
145 --version print the version of autoconf that created configure
146 Directory and file names:
147 --prefix=PREFIX install architecture-independent files in PREFIX
149 --exec-prefix=EPREFIX install architecture-dependent files in EPREFIX
151 --bindir=DIR user executables in DIR [EPREFIX/bin]
152 --sbindir=DIR system admin executables in DIR [EPREFIX/sbin]
153 --libexecdir=DIR program executables in DIR [EPREFIX/libexec]
154 --datadir=DIR read-only architecture-independent data in DIR
156 --sysconfdir=DIR read-only single-machine data in DIR [PREFIX/etc]
157 --sharedstatedir=DIR modifiable architecture-independent data in DIR
159 --localstatedir=DIR modifiable single-machine data in DIR [PREFIX/var]
160 --libdir=DIR object code libraries in DIR [EPREFIX/lib]
161 --includedir=DIR C header files in DIR [PREFIX/include]
162 --oldincludedir=DIR C header files for non-gcc in DIR [/usr/include]
163 --infodir=DIR info documentation in DIR [PREFIX/info]
164 --mandir=DIR man documentation in DIR [PREFIX/man]
165 --srcdir=DIR find the sources in DIR [configure dir or ..]
166 --program-prefix=PREFIX prepend PREFIX to installed program names
167 --program-suffix=SUFFIX append SUFFIX to installed program names
168 --program-transform-name=PROGRAM
169 run sed PROGRAM on installed program names
173 --build=BUILD configure for building on BUILD [BUILD=HOST]
174 --host=HOST configure for HOST [guessed]
175 --target=TARGET configure for TARGET [TARGET=HOST]
176 Features and packages:
177 --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
178 --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
179 --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
180 --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
181 --x-includes=DIR X include files are in DIR
182 --x-libraries=DIR X library files are in DIR
184 if test -n "$ac_help"; then
185 echo "--enable and --with options recognized:$ac_help"
189 -host |
--host |
--hos |
--ho)
191 -host=* |
--host=* |
--hos=* |
--ho=*)
194 -includedir |
--includedir |
--includedi |
--included |
--include \
195 |
--includ |
--inclu |
--incl |
--inc)
196 ac_prev
=includedir
;;
197 -includedir=* |
--includedir=* |
--includedi=* |
--included=* |
--include=* \
198 |
--includ=* |
--inclu=* |
--incl=* |
--inc=*)
199 includedir
="$ac_optarg" ;;
201 -infodir |
--infodir |
--infodi |
--infod |
--info |
--inf)
203 -infodir=* |
--infodir=* |
--infodi=* |
--infod=* |
--info=* |
--inf=*)
204 infodir
="$ac_optarg" ;;
206 -libdir |
--libdir |
--libdi |
--libd)
208 -libdir=* |
--libdir=* |
--libdi=* |
--libd=*)
209 libdir
="$ac_optarg" ;;
211 -libexecdir |
--libexecdir |
--libexecdi |
--libexecd |
--libexec \
212 |
--libexe |
--libex |
--libe)
213 ac_prev
=libexecdir
;;
214 -libexecdir=* |
--libexecdir=* |
--libexecdi=* |
--libexecd=* |
--libexec=* \
215 |
--libexe=* |
--libex=* |
--libe=*)
216 libexecdir
="$ac_optarg" ;;
218 -localstatedir |
--localstatedir |
--localstatedi |
--localstated \
219 |
--localstate |
--localstat |
--localsta |
--localst \
220 |
--locals |
--local |
--loca |
--loc |
--lo)
221 ac_prev
=localstatedir
;;
222 -localstatedir=* |
--localstatedir=* |
--localstatedi=* |
--localstated=* \
223 |
--localstate=* |
--localstat=* |
--localsta=* |
--localst=* \
224 |
--locals=* |
--local=* |
--loca=* |
--loc=* |
--lo=*)
225 localstatedir
="$ac_optarg" ;;
227 -mandir |
--mandir |
--mandi |
--mand |
--man |
--ma |
--m)
229 -mandir=* |
--mandir=* |
--mandi=* |
--mand=* |
--man=* |
--ma=* |
--m=*)
230 mandir
="$ac_optarg" ;;
233 # Obsolete; use --without-fp.
236 -no-create |
--no-create |
--no-creat |
--no-crea |
--no-cre \
240 -no-recursion |
--no-recursion |
--no-recursio |
--no-recursi \
241 |
--no-recurs |
--no-recur |
--no-recu |
--no-rec |
--no-re |
--no-r)
244 -oldincludedir |
--oldincludedir |
--oldincludedi |
--oldincluded \
245 |
--oldinclude |
--oldinclud |
--oldinclu |
--oldincl |
--oldinc \
246 |
--oldin |
--oldi |
--old |
--ol |
--o)
247 ac_prev
=oldincludedir
;;
248 -oldincludedir=* |
--oldincludedir=* |
--oldincludedi=* |
--oldincluded=* \
249 |
--oldinclude=* |
--oldinclud=* |
--oldinclu=* |
--oldincl=* |
--oldinc=* \
250 |
--oldin=* |
--oldi=* |
--old=* |
--ol=* |
--o=*)
251 oldincludedir
="$ac_optarg" ;;
253 -prefix |
--prefix |
--prefi |
--pref |
--pre |
--pr |
--p)
255 -prefix=* |
--prefix=* |
--prefi=* |
--pref=* |
--pre=* |
--pr=* |
--p=*)
256 prefix
="$ac_optarg" ;;
258 -program-prefix |
--program-prefix |
--program-prefi |
--program-pref \
259 |
--program-pre |
--program-pr |
--program-p)
260 ac_prev
=program_prefix
;;
261 -program-prefix=* |
--program-prefix=* |
--program-prefi=* \
262 |
--program-pref=* |
--program-pre=* |
--program-pr=* |
--program-p=*)
263 program_prefix
="$ac_optarg" ;;
265 -program-suffix |
--program-suffix |
--program-suffi |
--program-suff \
266 |
--program-suf |
--program-su |
--program-s)
267 ac_prev
=program_suffix
;;
268 -program-suffix=* |
--program-suffix=* |
--program-suffi=* \
269 |
--program-suff=* |
--program-suf=* |
--program-su=* |
--program-s=*)
270 program_suffix
="$ac_optarg" ;;
272 -program-transform-name |
--program-transform-name \
273 |
--program-transform-nam |
--program-transform-na \
274 |
--program-transform-n |
--program-transform- \
275 |
--program-transform |
--program-transfor \
276 |
--program-transfo |
--program-transf \
277 |
--program-trans |
--program-tran \
278 |
--progr-tra |
--program-tr |
--program-t)
279 ac_prev
=program_transform_name
;;
280 -program-transform-name=* |
--program-transform-name=* \
281 |
--program-transform-nam=* |
--program-transform-na=* \
282 |
--program-transform-n=* |
--program-transform-=* \
283 |
--program-transform=* |
--program-transfor=* \
284 |
--program-transfo=* |
--program-transf=* \
285 |
--program-trans=* |
--program-tran=* \
286 |
--progr-tra=* |
--program-tr=* |
--program-t=*)
287 program_transform_name
="$ac_optarg" ;;
289 -q |
-quiet |
--quiet |
--quie |
--qui |
--qu |
--q \
290 |
-silent |
--silent |
--silen |
--sile |
--sil)
293 -sbindir |
--sbindir |
--sbindi |
--sbind |
--sbin |
--sbi |
--sb)
295 -sbindir=* |
--sbindir=* |
--sbindi=* |
--sbind=* |
--sbin=* \
297 sbindir
="$ac_optarg" ;;
299 -sharedstatedir |
--sharedstatedir |
--sharedstatedi \
300 |
--sharedstated |
--sharedstate |
--sharedstat |
--sharedsta \
301 |
--sharedst |
--shareds |
--shared |
--share |
--shar \
303 ac_prev
=sharedstatedir
;;
304 -sharedstatedir=* |
--sharedstatedir=* |
--sharedstatedi=* \
305 |
--sharedstated=* |
--sharedstate=* |
--sharedstat=* |
--sharedsta=* \
306 |
--sharedst=* |
--shareds=* |
--shared=* |
--share=* |
--shar=* \
308 sharedstatedir
="$ac_optarg" ;;
310 -site |
--site |
--sit)
312 -site=* |
--site=* |
--sit=*)
315 -srcdir |
--srcdir |
--srcdi |
--srcd |
--src |
--sr)
317 -srcdir=* |
--srcdir=* |
--srcdi=* |
--srcd=* |
--src=* |
--sr=*)
318 srcdir
="$ac_optarg" ;;
320 -sysconfdir |
--sysconfdir |
--sysconfdi |
--sysconfd |
--sysconf \
321 |
--syscon |
--sysco |
--sysc |
--sys |
--sy)
322 ac_prev
=sysconfdir
;;
323 -sysconfdir=* |
--sysconfdir=* |
--sysconfdi=* |
--sysconfd=* |
--sysconf=* \
324 |
--syscon=* |
--sysco=* |
--sysc=* |
--sys=* |
--sy=*)
325 sysconfdir
="$ac_optarg" ;;
327 -target |
--target |
--targe |
--targ |
--tar |
--ta |
--t)
329 -target=* |
--target=* |
--targe=* |
--targ=* |
--tar=* |
--ta=* |
--t=*)
330 target
="$ac_optarg" ;;
332 -v |
-verbose |
--verbose |
--verbos |
--verbo |
--verb)
335 -version |
--version |
--versio |
--versi |
--vers)
336 echo "configure generated by autoconf version 2.13"
340 ac_package
=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341 # Reject names that are not valid shell variable names.
342 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
345 ac_package
=`echo $ac_package| sed 's/-/_/g'`
350 eval "with_${ac_package}='$ac_optarg'" ;;
352 -without-* |
--without-*)
353 ac_package
=`echo $ac_option|sed -e 's/-*without-//'`
354 # Reject names that are not valid shell variable names.
355 if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
358 ac_package
=`echo $ac_package| sed 's/-/_/g'`
359 eval "with_${ac_package}=no" ;;
362 # Obsolete; use --with-x.
365 -x-includes |
--x-includes |
--x-include |
--x-includ |
--x-inclu \
366 |
--x-incl |
--x-inc |
--x-in |
--x-i)
367 ac_prev
=x_includes
;;
368 -x-includes=* |
--x-includes=* |
--x-include=* |
--x-includ=* |
--x-inclu=* \
369 |
--x-incl=* |
--x-inc=* |
--x-in=* |
--x-i=*)
370 x_includes
="$ac_optarg" ;;
372 -x-libraries |
--x-libraries |
--x-librarie |
--x-librari \
373 |
--x-librar |
--x-libra |
--x-libr |
--x-lib |
--x-li |
--x-l)
374 ac_prev
=x_libraries
;;
375 -x-libraries=* |
--x-libraries=* |
--x-librarie=* |
--x-librari=* \
376 |
--x-librar=* |
--x-libra=* |
--x-libr=* |
--x-lib=* |
--x-li=* |
--x-l=*)
377 x_libraries
="$ac_optarg" ;;
379 -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
383 if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384 echo "configure: warning: $ac_option: invalid host type" 1>&2
386 if test "x$nonopt" != xNONE
; then
387 { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
395 if test -n "$ac_prev"; then
396 { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
399 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
401 # File descriptor usage:
404 # 2 errors and warnings
405 # 3 some systems may open it to /dev/tty
406 # 4 used on the Kubota Titan
407 # 6 checking for... messages and results
408 # 5 compiler messages saved in config.log
409 if test "$silent" = yes; then
417 This file contains any messages produced by compilers while
418 running configure, to aid debugging if configure makes a mistake.
421 # Strip out --no-create and --no-recursion so they do not pile up.
422 # Also quote any args containing shell metacharacters.
427 -no-create |
--no-create |
--no-creat |
--no-crea |
--no-cre \
428 |
--no-cr |
--no-c) ;;
429 -no-recursion |
--no-recursion |
--no-recursio |
--no-recursi \
430 |
--no-recurs |
--no-recur |
--no-recu |
--no-rec |
--no-re |
--no-r) ;;
431 *" "*|
*" "*|
*[\
[\
]\~\
#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432 ac_configure_args
="$ac_configure_args '$ac_arg'" ;;
433 *) ac_configure_args
="$ac_configure_args $ac_arg" ;;
438 # Only set these to C if already set. These must not be set unconditionally
439 # because not all systems understand e.g. LANG=C (notably SCO).
440 # Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441 # Non-C LC_CTYPE values break the ctype check.
442 if test "${LANG+set}" = set; then LANG
=C
; export LANG
; fi
443 if test "${LC_ALL+set}" = set; then LC_ALL
=C
; export LC_ALL
; fi
444 if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES
=C
; export LC_MESSAGES
; fi
445 if test "${LC_CTYPE+set}" = set; then LC_CTYPE
=C
; export LC_CTYPE
; fi
447 # confdefs.h avoids OS command line length limits that DEFS can exceed.
448 rm -rf conftest
* confdefs.h
449 # AIX cpp loses on an empty file, so make sure it contains at least a newline.
452 # A filename unique to this package, relative to the directory that
453 # configure is in, which we can look for to find out if srcdir is correct.
454 ac_unique_file
=elisp.texi
456 # Find the source files, if location was not specified.
457 if test -z "$srcdir"; then
458 ac_srcdir_defaulted
=yes
459 # Try the directory containing this script, then its parent.
461 ac_confdir
=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462 test "x$ac_confdir" = "x$ac_prog" && ac_confdir
=.
464 if test ! -r $srcdir/$ac_unique_file; then
468 ac_srcdir_defaulted
=no
470 if test ! -r $srcdir/$ac_unique_file; then
471 if test "$ac_srcdir_defaulted" = yes; then
472 { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
474 { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
477 srcdir
=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
479 # Prefer explicitly selected file to automatically selected ones.
480 if test -z "$CONFIG_SITE"; then
481 if test "x$prefix" != xNONE
; then
482 CONFIG_SITE
="$prefix/share/config.site $prefix/etc/config.site"
484 CONFIG_SITE
="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
487 for ac_site_file
in $CONFIG_SITE; do
488 if test -r "$ac_site_file"; then
489 echo "loading site script $ac_site_file"
494 if test -r "$cache_file"; then
495 echo "loading cache $cache_file"
498 echo "creating cache $cache_file"
503 # CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504 ac_cpp
='$CPP $CPPFLAGS'
505 ac_compile
='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506 ac_link
='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507 cross_compiling
=$ac_cv_prog_cc_cross
511 if (echo "testing\c"; echo 1,2,3) |
grep c
>/dev
/null
; then
512 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513 if (echo -n testing
; echo 1,2,3) |
sed s
/-n/xn
/ |
grep xn
>/dev
/null
; then
520 ac_n
= ac_c
='\c' ac_t
=
525 cat > confcache
<<\EOF
526 # This file is a shell script that caches the results of configure
527 # tests run on this system so they can be shared between configure
528 # scripts and configure runs. It is not useful on other systems.
529 # If it contains results you don't want to keep, you may remove or edit it.
531 # By default, configure uses ./config.cache as the cache file,
532 # creating it if it does not exist already. You can give configure
533 # the --cache-file=FILE option to use a different cache file; that is
534 # what configure does when it calls configure scripts in
535 # subdirectories, so they share the cache.
536 # Giving --cache-file=/dev/null disables caching, for debugging configure.
537 # config.status only pays attention to the cache file if you give it the
538 # --recheck option to rerun configure.
541 # The following way of writing the cache mishandles newlines in values,
542 # but we know of no workaround that is simple, portable, and efficient.
543 # So, don't put newlines in cache variables' values.
544 # Ultrix sh set writes to stderr and can't be redirected directly,
545 # and sets the high bit in the cache file unless we assign to the vars.
547 case `(ac_space=' '; set | grep ac_space) 2>&1` in
549 # `set' does not quote correctly, so add quotes (double-quote substitution
550 # turns \\\\ into \\, and sed turns \\ into \).
553 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
556 # `set' quotes correctly as required by POSIX, so do not add quotes.
557 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
560 if cmp -s $cache_file confcache
; then
563 if test -w $cache_file; then
564 echo "updating cache $cache_file"
565 cat confcache
> $cache_file
567 echo "not updating unwritable cache $cache_file"
572 trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
574 test "x$prefix" = xNONE
&& prefix
=$ac_default_prefix
575 # Let make expand exec_prefix.
576 test "x$exec_prefix" = xNONE
&& exec_prefix
='${prefix}'
578 # Any assignment to VPATH causes Sun make to only execute
579 # the first set of double-colon rules, so remove it if not needed.
580 # If there is a colon in the path, we need to keep it.
581 if test "x$srcdir" = x.
; then
582 ac_vpsub
='/^[ ]*VPATH[ ]*=[^:]*$/d'
585 trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
587 # Transform confdefs.h into DEFS.
588 # Protect against shell expansion while executing Makefile rules.
589 # Protect against Makefile macro expansion.
590 cat > conftest.defs
<<\EOF
591 s
%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
592 s
%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
597 DEFS=`sed -f conftest.defs confdefs.h |
tr '\012' ' '`
601 # Without the "./", some shells look in PATH for config.status.
602 : ${CONFIG_STATUS=./config.status}
604 echo creating $CONFIG_STATUS
606 cat > $CONFIG_STATUS <<EOF
608 # Generated automatically by configure.
609 # Run this file to recreate the current configuration.
610 # This directory was configured as follows,
611 # on host `(hostname || uname
-n) 2>/dev
/null |
sed 1q
`:
613 # $0 $ac_configure_args
615 # Compiler output produced by configure, useful for debugging
616 # configure, is in ./config.log if it exists.
618 ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
621 case "\$ac_option" in
622 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
623 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
624 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
625 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
626 echo "$CONFIG_STATUS generated by autoconf version 2.13"
628 -help | --help | --hel | --he | --h)
629 echo "\$ac_cs_usage"; exit 0 ;;
630 *) echo "\$ac_cs_usage"; exit 1 ;;
634 ac_given_srcdir=$srcdir
636 trap 'rm -fr `echo "Makefile" |
sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
638 cat >> $CONFIG_STATUS <<EOF
640 # Protect against being on the right side of a sed subst in config.status.
641 sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
642 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
647 s%@CPPFLAGS@%$CPPFLAGS%g
648 s%@CXXFLAGS@%$CXXFLAGS%g
651 s%@LDFLAGS@%$LDFLAGS%g
653 s%@exec_prefix@%$exec_prefix%g
655 s%@program_transform_name@%$program_transform_name%g
657 s%@sbindir@%$sbindir%g
658 s%@libexecdir@%$libexecdir%g
659 s%@datadir@%$datadir%g
660 s%@sysconfdir@%$sysconfdir%g
661 s%@sharedstatedir@%$sharedstatedir%g
662 s%@localstatedir@%$localstatedir%g
664 s%@includedir@%$includedir%g
665 s%@oldincludedir@%$oldincludedir%g
666 s%@infodir@%$infodir%g
672 cat >> $CONFIG_STATUS <<\EOF
674 # Split the substitutions into bite-sized pieces for seds with
675 # small command number limits, like on Digital OSF/1 and HP-UX.
676 ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
677 ac_file=1 # Number of current file.
678 ac_beg=1 # First line for current file.
679 ac_end=$ac_max_sed_cmds # Line after last line for current file.
682 while $ac_more_lines; do
683 if test $ac_beg -gt 1; then
684 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
686 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
688 if test ! -s conftest.s$ac_file; then
690 rm -f conftest.s$ac_file
692 if test -z "$ac_sed_cmds"; then
693 ac_sed_cmds="sed -f conftest.s$ac_file"
695 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
697 ac_file=`expr $ac_file + 1`
699 ac_end=`expr $ac_end + $ac_max_sed_cmds`
702 if test -z "$ac_sed_cmds"; then
707 cat >> $CONFIG_STATUS <<EOF
709 CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
711 cat >> $CONFIG_STATUS <<\EOF
712 for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
713 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
715 *:*) ac_file_in=`echo "$ac_file"|
sed 's%[^:]*:%%'`
716 ac_file=`echo "$ac_file"|
sed 's%:.*%%'` ;;
717 *) ac_file_in="${ac_file}.in" ;;
720 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
722 # Remove last slash and all that follows it. Not all systems have dirname.
723 ac_dir=`echo $ac_file|
sed 's%/[^/][^/]*$%%'`
724 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
725 # The file is in a subdirectory.
726 test ! -d "$ac_dir" && mkdir "$ac_dir"
727 ac_dir_suffix="/`echo $ac_dir|
sed 's%^\./%%'`"
728 # A "../" for each directory in $ac_dir_suffix.
729 ac_dots=`echo $ac_dir_suffix|
sed 's%/[^/]*%../%g'`
731 ac_dir_suffix= ac_dots=
734 case "$ac_given_srcdir" in
736 if test -z "$ac_dots"; then top_srcdir=.
737 else top_srcdir=`echo $ac_dots|
sed 's%/$%%'`; fi ;;
738 /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
740 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
741 top_srcdir="$ac_dots$ac_given_srcdir" ;;
745 echo creating "$ac_file"
747 configure_input="Generated automatically from `echo $ac_file_in|
sed 's%.*/%%'` by configure."
749 *Makefile*) ac_comsub="1i\\
750 # $configure_input" ;;
754 ac_file_inputs=`echo $ac_file_in|
sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
756 s%@configure_input@%$configure_input%g
758 s%@top_srcdir@%$top_srcdir%g
759 " $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
764 cat >> $CONFIG_STATUS <<EOF
767 cat >> $CONFIG_STATUS <<\EOF
771 chmod +x $CONFIG_STATUS
772 rm -fr confdefs* $ac_clean_files
773 test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1